Create a staff member product rate
Body·
required
application/json
Fields accepted when creating a staff member product rate. Unknown or read-only fields are rejected.
- Type: string | nullFormat: uuidproduct
_id requiredReferences products.id.
- Type: string | nullFormat: uuidstaff
_member _id requiredReferences staff_members.id.
- Type: number | nulladdon
_amount - Type: number | nullfriday
_sunday _modifier - Type: number | nullsaturday
_modifier - Type: number | nullstandalone
_amount - Type: string | nullstatus
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for post/staff-member-product-rates
curl https://api.hireorpheus.com/api/v1/staff-member-product-rates \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"staff_member_id": null,
"product_id": null,
"standalone_amount": null,
"addon_amount": null,
"saturday_modifier": null,
"friday_sunday_modifier": null,
"status": null
}'
{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"staff_member_id": null,
"product_id": null,
"standalone_amount": null,
"addon_amount": null,
"saturday_modifier": null,
"friday_sunday_modifier": null,
"status": null,
"created_time": "2026-10-14T08:02:53.594Z",
"last_edited_time": "2026-10-14T08:02:53.594Z"
}
}